/**
 * Un exemple d'utilisation de GtkDrawingArea : dessiner un histogramme.
 *
 * AUTHOR: Guillaume Riviere (C) 2017
 * FILE: main.c
 */

#include <stdlib.h>

#include <gtk/gtk.h>

GtkBuilder *builder = NULL ;

/* Fonction principale */
int main (int argc, char *argv[]) {
  GtkWindow  *window1 = NULL ;

  gtk_init (&argc, &argv);

  /* Creer tous les widgets grace au builder GTK */
  builder = gtk_builder_new ();
  if (gtk_builder_add_from_file (builder, "gtk_drawingarea_example_2.24.glade", NULL) == 0) {
    fprintf (stderr, "Erreur: ouverture du fichier GLADE\n") ;
    exit(EXIT_FAILURE);
  }
  
  gtk_builder_connect_signals (builder, NULL);

  window1 = GTK_WINDOW (gtk_builder_get_object (builder, "window1"));
  gtk_widget_show_all (GTK_WIDGET(window1)); /* ATTENTION */

  /* Lancer la boucle GTK */
  gtk_main ();

  /* La boucle GTK est terminee, detruire maintenant tous les widgets */
  g_object_unref (G_OBJECT (builder));

  printf ("Fin du programme\n") ;
  
  /* Fin normale du programme */
  return 0;
}
